# map-cache [![NPM version](https://badge.fury.io/js/map-cache.svg)](http://badge.fury.io/js/map-cache)

> Create a simple cache object for storing key-value pairs.

This was inspired by the simplicity of the MapCache in Lo-dash v3.0. 

## Install with [npm](npmjs.org)

```bash
npm i map-cache --save
```

## Usage

```js
var mapCache = require('map-cache');
```

## API
### [MapCache](./index.js#L28)

Creates a cache object to store key/value pairs.

```js
var cache = new MapCache();
```

### [.set](./index.js#L45)

Adds `value` to `key` on the cache.

* `key` **{String}**: The key of the value to cache.    
* `value` **{*}**: The value to cache.    
* `returns` **{Object}**: Returns the `Cache` object for chaining.  

```js
cache.set('foo', 'bar');
```

### [.get](./index.js#L65)

Gets the cached value for `key`.

* `key` **{String}**: The key of the value to get.    
* `returns` **{*}**: Returns the cached value.  

```js
cache.get('foo');
//=> 'bar'
```

### [.has](./index.js#L82)

Checks if a cached value for `key` exists.

* `key` **{String}**: The key of the entry to check.    
* `returns` **{Boolean}**: Returns `true` if an entry for `key` exists, else `false`.  

```js
cache.has('foo');
//=> true
```

### [.delete](./index.js#L98)

Removes `key` and its value from the cache.

* `key` **{String}**: The key of the value to remove.    
* `returns` **{Boolean}**: Returns `true` if the entry was removed successfully, else `false`.  

```js
cache.delete('foo');
```



## Run tests

Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/map-cache/issues)

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb](https://github.com/assemble/verb) on February 25, 2015._
